using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Marco.Pms.DataAccess.Migrations
{
    /// <inheritdoc />
    public partial class Added_New_Status_Master_In_Progress : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.UpdateData(
                table: "StatusMasters",
                keyColumn: "Id",
                keyValue: new Guid("603e994b-a27f-4e5d-a251-f3d69b0498ba"),
                column: "Status",
                value: "On Hold");

            migrationBuilder.UpdateData(
                table: "StatusMasters",
                keyColumn: "Id",
                keyValue: new Guid("ef1c356e-0fe0-42df-a5d3-8daee355492d"),
                column: "Status",
                value: "In Active");

            migrationBuilder.InsertData(
                table: "StatusMasters",
                columns: new[] { "Id", "Status", "TenantId" },
                values: new object[] { new Guid("cdad86aa-8a56-4ff4-b633-9c629057dfef"), "In Progress", new Guid("b3466e83-7e11-464c-b93a-daf047838b26") });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DeleteData(
                table: "StatusMasters",
                keyColumn: "Id",
                keyValue: new Guid("cdad86aa-8a56-4ff4-b633-9c629057dfef"));

            migrationBuilder.UpdateData(
                table: "StatusMasters",
                keyColumn: "Id",
                keyValue: new Guid("603e994b-a27f-4e5d-a251-f3d69b0498ba"),
                column: "Status",
                value: "In Progress");

            migrationBuilder.UpdateData(
                table: "StatusMasters",
                keyColumn: "Id",
                keyValue: new Guid("ef1c356e-0fe0-42df-a5d3-8daee355492d"),
                column: "Status",
                value: "On Hold");
        }
    }
}
